Package org.apache.maven.scm.provider.accurev

## Class AccuRevScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.accurev.AccuRevScmProvider

All Implemented Interfaces:
  `ScmProvider`

    public class AccuRevScmProvider
    extends AbstractScmProvider

AccuRev integration with Maven SCM

### Field Summary

Fields
`static java.lang.String` `ACCUREV_EXECUTABLE_PROPERTY`
`static java.lang.String` `SYSTEM_PROPERTY_PREFIX`
`static java.lang.String` `TAG_FORMAT_PROPERTY`

### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

`ROLE`

### Constructor Summary

Constructors
`AccuRevScmProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AddScmResult` `add​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected BlameScmResult` `blame​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected ChangeLogScmResult` `changelog​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected CheckInScmResult` `checkin​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected CheckOutScmResult` `checkout​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected ExportScmResult` `export​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`java.lang.String` `getScmType()`
`protected LoginScmResult` `login​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`ScmProviderRepository` `makeProviderScmRepository​(java.io.File path)`
`ScmProviderRepository` `makeProviderScmRepository​(java.lang.String scmSpecificUrl, char delimiter)` The basic url parsing approach is to be as loose as possible.
`protected RemoveScmResult` `remove​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected StatusScmResult` `status​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected TagScmResult` `tag​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected UpdateScmResult` `update​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

`add, add, add, addListener, blame, blame, branch, branch, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, diff, edit, edit, export, export, export, export, export, getLogger, getScmSpecificFilename, info, list, list, list, mkdir, mkdir, remoteInfo, remove, requiresEditMode, sanitizeTagName, status, tag, tag, tag, unedit, unedit, untag, update, update, update, update, update, update, update, update, update, update, update, update, validateScmUrl, validateTagName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ACCUREV_EXECUTABLE_PROPERTY

    public static final java.lang.String ACCUREV_EXECUTABLE_PROPERTY

See Also:
  Constant Field Values

#### TAG_FORMAT_PROPERTY

    public static final java.lang.String TAG_FORMAT_PROPERTY

See Also:
  Constant Field Values

#### SYSTEM_PROPERTY_PREFIX

    public static final java.lang.String SYSTEM_PROPERTY_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### AccuRevScmProvider

    public AccuRevScmProvider()

### Method Detail

#### getScmType

    public java.lang.String getScmType()

#### makeProviderScmRepository

    public ScmProviderRepository makeProviderScmRepository​(java.lang.String scmSpecificUrl,
                                                           char delimiter)
                                                    throws ScmRepositoryException

The basic url parsing approach is to be as loose as possible. If you specify as per the docs you'll get what you expect. If you do something else the result is undefined. Don't use "/" "\" or "@" as the delimiter,

Throws:
  `ScmRepositoryException`

#### login

    protected LoginScmResult login​(ScmProviderRepository repository,
                                   ScmFileSet fileSet,
                                   CommandParameters parameters)
                            throws ScmException

Overrides:
  `login` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkout

    protected CheckOutScmResult checkout​(ScmProviderRepository repository,
                                         ScmFileSet fileSet,
                                         CommandParameters parameters)
                                  throws ScmException

Overrides:
  `checkout` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkin

    protected CheckInScmResult checkin​(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       CommandParameters parameters)
                                throws ScmException

Overrides:
  `checkin` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### makeProviderScmRepository

    public ScmProviderRepository makeProviderScmRepository​(java.io.File path)
                                                    throws ScmRepositoryException,
                                                           UnknownRepositoryStructure

Description copied from class: `AbstractScmProvider`

Specified by:
  `makeProviderScmRepository` in interface `ScmProvider`
Overrides:
  `makeProviderScmRepository` in class `AbstractScmProvider`
Throws:
  `ScmRepositoryException`
  `UnknownRepositoryStructure`

#### add

    public AddScmResult add​(ScmProviderRepository repository,
                            ScmFileSet fileSet,
                            CommandParameters parameters)
                     throws ScmException

Overrides:
  `add` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### tag

    protected TagScmResult tag​(ScmProviderRepository repository,
                               ScmFileSet fileSet,
                               CommandParameters parameters)
                        throws ScmException

Overrides:
  `tag` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### status

    protected StatusScmResult status​(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                              throws ScmException

Overrides:
  `status` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### update

    protected UpdateScmResult update​(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                              throws ScmException

Overrides:
  `update` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### export

    protected ExportScmResult export​(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                              throws ScmException

Overrides:
  `export` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### changelog

    protected ChangeLogScmResult changelog​(ScmProviderRepository repository,
                                           ScmFileSet fileSet,
                                           CommandParameters parameters)
                                    throws ScmException

Overrides:
  `changelog` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### remove

    protected RemoveScmResult remove​(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                              throws ScmException

Overrides:
  `remove` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### blame

    protected BlameScmResult blame​(ScmProviderRepository repository,
                                   ScmFileSet fileSet,
                                   CommandParameters parameters)
                            throws ScmException

Overrides:
  `blame` in class `AbstractScmProvider`
Throws:
  `ScmException`